## com.fusioncharts.sampledata
Class DynamicRenderData

    java.lang.Object
      com.fusioncharts.sampledata.DynamicRenderData

    public class DynamicRenderData

extends java.lang.Object

Bean containing sample chart data. Default values for all the fields have been set. These can be changed using the set methods. This class has been used as a backing bean in JSF examples.

Author:
  Infosoft Global (P) Ltd.

Field Summary
`protected java.lang.String` `chartId`
`protected java.lang.String` `filename`
`protected java.lang.String` `height`
`protected java.lang.String` `url`
`protected java.lang.String` `width`

Constructor Summary
`DynamicRenderData()`

Method Summary
`java.lang.String` `getChartId()`
`java.lang.String` `getFilename()`
`java.lang.String` `getHeight()`
`java.lang.String` `getUrl()`
`java.lang.String` `getWidth()`
`void` `setChartId(java.lang.String chartId)`
`void` `setFilename(java.lang.String filename)`
`void` `setHeight(java.lang.String height)`
`void` `setUrl(java.lang.String url)`
`void` `setWidth(java.lang.String width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chartId

    protected java.lang.String chartId

### width

    protected java.lang.String width

### height

    protected java.lang.String height

### filename

    protected java.lang.String filename

### url

    protected java.lang.String url

Constructor Detail

### DynamicRenderData

    public DynamicRenderData()

Method Detail

### getChartId

    public java.lang.String getChartId()

### getFilename

    public java.lang.String getFilename()

### getHeight

    public java.lang.String getHeight()

### getUrl

    public java.lang.String getUrl()

### getWidth

    public java.lang.String getWidth()

### setChartId

    public void setChartId(java.lang.String chartId)

### setFilename

    public void setFilename(java.lang.String filename)

### setHeight

    public void setHeight(java.lang.String height)

### setUrl

    public void setUrl(java.lang.String url)

### setWidth

    public void setWidth(java.lang.String width)